﻿.limbo-iddqd-examine table {
  margin-bottom: 0;
}
.limbo-iddqd-examine.loading > div.results {
  opacity: 0.5;
}
.limbo-iddqd-examine header {
  display: flex;
  margin-bottom: 10px;
}
.limbo-iddqd-examine header h3 {
  flex: 1;
  margin: 0;
  font-size: 16px;
  font-weight: bold;
  line-height: 24px;
}
.limbo-iddqd-examine .btn {
  margin: 0;
}
.limbo-iddqd-examine .btn.btn-xs {
  padding: 2px 7px;
  font-size: 11px;
}
.limbo-iddqd-examine .result + .result {
  margin-top: 40px;
}
.limbo-iddqd-property-editors table.table.list {
  width: 100%;
}
.limbo-iddqd-property-editors .alert.alert-danger {
  margin: 10px 0 0 0;
}
.limbo-iddqd-property-editors .alert.alert-danger code {
  background: rgba(0, 0, 0, 0.1);
  border-color: rgba(0, 0, 0, 0.15);
  color: #fff;
}
.limbo-iddqd-property-editors .col-editor {
  width: 100%;
}
.limbo-iddqd-property-editors .col-group {
  min-width: 150px;
}
.limbo-iddqd-property-editors .col-data-types {
  white-space: nowrap;
}
.limbo-iddqd-property-editors .--options {
  margin-right: 20px;
}
.limbo-iddqd-property-editors .--facts {
  display: flex;
  flex-wrap: wrap;
  gap: 5px 10px;
  margin-top: 5px;
  font-size: 12px;
}
.limbo-iddqd-property-editors .--facts span {
  white-space: nowrap;
}
.limbo-iddqd-property-editors.loading .umb-box {
  opacity: 0.35;
}
.limbo-iddqd-property-editors .umb-box-header-title span {
  font-weight: normal;
  color: #666;
  font-size: 14px;
}
.limbo-stairs svg {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  fill: #1b264f;
  fill: #d42054;
  animation-duration: 10s;
  animation-name: limbo0;
  animation-iteration-count: infinite;
  animation-direction: alternate;
}
.limbo-stairs svg rect.top {
  animation-duration: 1s;
  animation-name: limbo1;
  animation-iteration-count: infinite;
}
.limbo-stairs svg rect.middle {
  animation-duration: 1s;
  animation-name: limbo2;
  animation-iteration-count: infinite;
}
.limbo-stairs svg rect.bottom {
  animation-duration: 1s;
  animation-name: limbo3;
  animation-iteration-count: infinite;
}
@keyframes limbo0 {
  0% {
    fill: #1b264f;
  }
  50% {
    fill: darkorange;
  }
  100% {
    fill: #d42054;
  }
}
@keyframes limbo1 {
  0% {
    width: 0;
  }
  66.6% {
    width: 0;
  }
  100% {
    width: 14px;
  }
}
@keyframes limbo2 {
  33.3% {
    width: 0;
  }
  66.6% {
    width: 28px;
  }
  100% {
    width: 28px;
  }
}
@keyframes limbo3 {
  0% {
    width: 0;
  }
  33.3% {
    width: 37px;
  }
  100% {
    width: 37px;
  }
}
.limbo-iddqd-property-editor-data-types table.table.list td.nw {
  white-space: nowrap;
}
.limbo-iddqd-property-editor-data-types table.table.list td.fw {
  width: 100%;
}
.limbo-iddqd-property-editor-data-types table.table.list td {
  vertical-align: top;
}
.limbo-iddqd-property-editor-data-types table.table.list button.btn.btn-link {
  padding: 0;
}
.limbo-iddqd-property-editor-data-types table.table.list .umb-breadcrumbs {
  font-size: 12px;
}
.limbo-iddqd-property-editor-data-types table.table.list .umb-breadcrumbs > li:first-child {
  margin: 4px 4px 0 0;
}
.limbo-iddqd-property-editor .umb-empty-state.-center {
  max-width: 600px;
}
.limbo-iddqd-property-editor table.table.details {
  margin-bottom: 0;
  box-shadow: none;
}
.limbo-iddqd-property-editor table.table.details > tbody > tr > th {
  max-width: 150px;
  width: 150px;
  padding-left: 0;
}
.limbo-iddqd-property-editor table.table.details > tbody > tr:first-child > th,
.limbo-iddqd-property-editor table.table.details > tbody > tr:first-child > td {
  border-top: 0;
}
.limbo-iddqd-link {
  display: flex;
  gap: 5px;
  align-items: center;
}
.limbo-iddqd-packages .umb-box-header-title span {
  font-weight: normal;
  color: #666;
  font-size: 14px;
}
.limbo-iddqd-packages .--options {
  display: flex;
  margin-right: 20px;
  gap: 5px;
}
.limbo-iddqd-packages .--options input {
  margin: 0;
}
.limbo-iddqd-packages em {
  color: #ccc;
}
.limbo-iddqd-packages .col-links div {
  display: flex;
  gap: 5px;
  justify-content: flex-end;
}
.limbo-iddqd-packages .col-links .btn.btn-sm {
  padding: 3px 7px;
  font-size: 12px;
}
.limbo-iddqd-packages td.nw {
  white-space: nowrap;
}
.limbo-iddqd-packages td.fw {
  width: 100%;
}
.limbo-iddqd-packages a.btn {
  cursor: pointer;
}
.limbo-iddqd-packages table.table.list {
  margin-bottom: 0;
  box-shadow: none;
}
.limbo-iddqd-packages table.table.list > thead > tr > th:first-child,
.limbo-iddqd-packages table.table.list > tbody > tr > td:first-child {
  padding-left: 0;
}
.limbo-iddqd-package table.table.details {
  margin-bottom: 0;
  box-shadow: none;
}
.limbo-iddqd-package table.table.details > tbody > tr > th {
  max-width: 150px;
  width: 150px;
  padding-left: 0;
}
.limbo-iddqd-package table.table.details > tbody > tr:first-child > th,
.limbo-iddqd-package table.table.details > tbody > tr:first-child > td {
  border-top: 0;
}
.limbo-iddqd-package .links {
  margin-top: 10px;
  display: flex;
  gap: 10px;
}
.limbo-iddqd-package .links a {
  display: flex;
  gap: 5px;
}
.limbo-iddqd-package em {
  color: #ccc;
}
.limbo-iddqd-content-type-app h4 {
  margin: 40px 0 15px 0;
}
.limbo-iddqd-content-type-app td.fw {
  width: 100%;
}
.limbo-iddqd-content-type-app td.nw {
  white-space: nowrap;
}
.limbo-iddqd-content-app h4 {
  margin: 40px 0 15px 0;
}
.limbo-iddqd-content-app td.fw {
  width: 100%;
}
.limbo-iddqd-content-app td.nw {
  white-space: nowrap;
}
.limbo-iddqd-content-version table.table.list th span,
.limbo-iddqd-content-version table.table.list th small {
  font-weight: normal;
}
.limbo-iddqd-content-version table.table.list th,
.limbo-iddqd-content-version table.table.list td {
  vertical-align: top;
}
.limbo-iddqd-content-version table.table.list th.nw,
.limbo-iddqd-content-version table.table.list td.nw {
  white-space: nowrap;
}
.limbo-iddqd-content-version table.table.list th.fw,
.limbo-iddqd-content-version table.table.list td.fw {
  width: 100%;
}
.limbo-iddqd-json-view {
  font-family: monospace;
  font-size: 11px;
  line-height: 15px;
  padding: 9.5px;
  background-color: #f6f4f4;
  border: 1px solid #d8d7d9;
  border-radius: 3px;
  position: relative;
}
.limbo-iddqd-json-view umb-button {
  position: absolute;
  z-index: 9001;
  right: 10px;
  top: 10px;
}
.limbo-iddqd-json-view > .collapser {
  display: none;
}
.limbo-iddqd-json-view .collapser {
  padding-right: 6px;
  padding-left: 6px;
  position: absolute;
  top: 0.1em;
  left: -1.4em;
  cursor: default;
}
.limbo-iddqd-json-view .collapser:after {
  content: "-";
}
.limbo-iddqd-json-view .json-property {
  font-weight: bold;
}
.limbo-iddqd-json-view .json-boolean {
  color: firebrick;
}
.limbo-iddqd-json-view .json-number {
  color: blue;
}
.limbo-iddqd-json-view .json-string {
  color: green;
}
.limbo-iddqd-json-view .json-null {
  color: gray;
}
.limbo-iddqd-json-view .ellipsis {
  display: none;
  padding: 0 5px;
}
.limbo-iddqd-json-view ul,
.limbo-iddqd-json-view li {
  list-style: none;
  margin: 0 15px;
}
.limbo-iddqd-json-view li {
  position: relative;
}
.limbo-iddqd-json-view .collapsed > .collapser:after {
  content: "+";
}
.limbo-iddqd-json-view .collapsed > .collapsible {
  display: none;
}
.limbo-iddqd-json-view .collapsed > .ellipsis {
  display: inline-block;
}